org.apache.tomcat.util.buf

## Class HexUtils

- java.lang.Object
- - org.apache.tomcat.util.buf.HexUtils

    public final class HexUtils
    extends Object

Tables useful when converting byte arrays to and from strings of hexadecimal digits. Code from Ajp11, from Apache's JServ.

Author:
  Craig R. McClanahan

### Constructor Summary

Constructors
Constructor and Description
`HexUtils()`

### Method Summary

Methods
`static int` `getDec(int index)`
`static byte` `getHex(int index)`
`static void` `load()` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
`static String` `toHexString(byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HexUtils

    public HexUtils()

### Method Detail

#### load

    @Deprecated
    public static void load()

Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
Provide a mechanism for ensuring this class is loaded.

#### getDec

    public static int getDec(int index)

#### getHex

    public static byte getHex(int index)

#### toHexString

    public static String toHexString(byte[] bytes)